<?php

?><pre>
//PLAN 
//1.WYLICZYC KOSZTY (BEZ WYNAGRODZEN )
//1.5 USTALIC PRZYCHODY (TANIELACZE+NOWA_SPRZEDAZ)
//2.USTALIC PRACOWNIKOW I POOBCIAZAC BUDZETY PODSTAWAMI
//3.WYLICZYC BUDZETY DZIALOW = STANDARD
//3.5.WYLICZYC BUDZETY DZIALOW = AKORDY
//3.5.1.1 AKORD ILOŚCI INSTALACJI W TERMINIE/NIE_W_TERMINIE (TECH) - budynki-ROZLICZENIE_BUDZETU_2010_AKORD_TECHNIKA.php
//3.5.1.2 AKORD ILOSCI WYKONANYCH SERWISOW W_TERMINIE/NIE_W_TERMINIE
//3.5.1.3 AKORD ILOSCI ODLICZEN
//3.5.1.4 AKORD ILOSCI SERWISOW PLATNYCH - KWOTA (TECH)
//3.5.2 AKORD ILOŚCI ZROBIONYCH ANKIET (MARKETING_DZIALANIA)
//3.5.3 AKORD ILOSCI PODPISANYCH UMÓW
//3.5.4 AKORD ILOSC WPROWADZONYCH ANEKSOW
//3.5.5 AKORD ILOSC WPROWADZONYCH REKORDOW DO L2 w terminie dokumentu
//4.ROZLICZYĆ WYNIK 2+3 I USTALIĆ FINALNE BUDŻETY DZIAŁÓW DLA PREMII
//5.NALICZYĆ PREMIE
</pre>
<?php


echo "Rozliczenie Dzialu v.2009-11-24<br>";

echo "<form method=GET><input type=hidden name=ROZLICZENIE_BUDZETU_2010 value=1>
DATE<input type=text name=DATA value=".$_GET['DATA']."><br>
ZaimportujFaktury<input type=checkbox name=IMPORT_BILLS_FVAT_POS>
SkasujFaktury<input type=checkbox name=TRUNCATE_BILLS_FVAT_POS>

<input type=submit value=wyslij></form><pre>";


if($_GET['DATA']) {

$DATA=addslashes($_GET['DATA']);


	if($_GET['IMPORT_BILLS_FVAT_POS']) {
		//import z BILLINGU
		include(".config");
		ZAP_SQL("select MAX(ID) from BILLS_FVAT_POS ");
		$MAX_ID=mysql_fetch_row($result);		
		print_r($MAX_ID);
		if(!$MAX_ID[0]) $MAX_ID[0]=0;
		$conn_import=mysql_pconnect($SQL_HOST_BILLING_IMPORT,$SQL_USER_BILLING_IMPORT,$SQL_PASS_BILLING_IMPORT);
		if (!$conn_import) die("ERROR podczas tworzenia polaczenia do bazy $SQL_DB_BILLING_IMPORT !\n");
		mysql_select_db($SQL_DB_BILLING_IMPORT,$conn_import) or die("ERROR podczas wyboru bazy :".$SQL_DB_BILLING_IMPORT." !");
		$zap_imp="select * from BILLS_FVAT_POS where ID>=".$MAX_ID[0]." order by ID ";
		$res_imp=mysql_query($zap_imp,$conn_import);
		 if($_GET['TRUNCATE_BILLS_FVAT_POS']) ZAP_SQL("truncate table BILLS_FVAT_POS ;");
		while($h=mysql_fetch_row($res_imp)) {
				$SQL_IMP="";
			$i++;
		 	foreach($h as $H){
				if(!$SQL_IMP) $SQL_IMP="insert ignore into BILLS_FVAT_POS values ( '".$H."'";
		 		else $SQL_IMP.=",'".$H."'";
			}
			$SQL_IMP.=");";
			ZAP_SQL($SQL_IMP);

			if($i>1000) {echo "."; flush(); $i=0;}
		}

		echo "IMPORT DONE";
	}



if(!isset($_SESSION['ADM_ADMIN_LEVEL'])&&($_SESSION['ADM_ADMIN_LEVEL']=='0')) die("Musisz byc super adminem");

	ZAP_SQL('select 1+1');
 
	 //Tworzenie Budzetu srzedazy PUNKT 1.
	
	$BUDZET['BUDZETY']=array('MARKETING-STALY','MARKETING-DZIALANIA','OGOLNY','INWESTYCJE',
		'PODATKI','TECH-SERWIS','TECH-MODERNIZACJE','BIURO-MORENA','BIURO-CHELM','INNY','ZAKUP-LACZY','WYNAGRODZENIA','KREDYTY');
	foreach($BUDZET['BUDZETY'] as $ARR) {
  		$SQL="select sum(wartosc) from KSIEG_DOKUMENTY where A_STATUS!='DELETED' and TYP_DOKUMENTU='DOKUMENT' and ID_KONTO_KSIEG not like '201%' and
		 ID_KONTO_KSIEG not like '5__-01%'  and  ID_KONTO_KSIEG not like '221-%' 
		and ID_BUDZET='".$ARR."' AND DATA_DOK LIKE '".$DATA."'";
//		echo $SQL." <br>";
		$res=mysql_fetch_row(mysql_query($SQL));
		$VAL=$res[0];
		settype($VAL,"float");
//		var_dump($VAL);
		$BUDZET['KOSZTY'][$ARR]=$VAL;
	}

  		$SQL="select sum(wartosc) from KSIEG_DOKUMENTY where A_STATUS!='DELETED' and TYP_DOKUMENTU='DOKUMENT' and  ID_KONTO_KSIEG  like '5__-01%' 
		AND DATA_DOK LIKE '".$DATA."'";
		echo $SQL." <br>";
		$res=mysql_fetch_row(mysql_query($SQL));
		$VAL=$res[0];
		settype($VAL,"float");
//		var_dump($VAL);
		$BUDZET['KOSZTY']['AMORTYZACJA']=$VAL;


  		$SQL="select sum(wartosc) from KSIEG_DOKUMENTY where A_STATUS!='DELETED' and TYP_DOKUMENTU='DOKUMENT' and  ID_KONTO_KSIEG  like '080-xxx%' 
		AND DATA_DOK LIKE '1970-01-01'";
		echo $SQL." <br>";
		$res=mysql_fetch_row(mysql_query($SQL));
		$VAL=$res[0];
		settype($VAL,"float");
//		var_dump($VAL);
		$BUDZET['KOSZTY']['INWESTYCJE']+=$VAL;





		//ZAD1.5 przychody

  		$SQL="select sum(t1.AMMOUNT*t1.PRICE) from BILLS_FVAT_POS as t1 inner join USERS2 as t2 on t1.ID_SERVICES=t2.ID_SERVICES where t2.ID and 
		t1.DATE_FROM  LIKE '".$DATA."' and t2.P_SERVICE not like '%VOIP%'";
		echo $SQL." <br>";
		$res=mysql_fetch_row(mysql_query($SQL));
		$VAL=$res[0];
		settype($VAL,"float");
		$BUDZET['SPRZEDAZ']['USERS2']=$VAL;  

  		$SQL="select sum(t1.AMMOUNT*t1.PRICE) from BILLS_FVAT_POS as t1 inner join USERS2 as t2 on t1.ID_SERVICES=t2.ID_SERVICES where t2.ID and 
		t1.DATE_FROM  LIKE '".$DATA."' and t2.P_SERVICE  like '%VOIP%'";
		echo $SQL." <br>";
		$res=mysql_fetch_row(mysql_query($SQL));
		$VAL=$res[0];
		settype($VAL,"float");
		$BUDZET['SPRZEDAZ']['USERS2_VOIP']=$VAL;  

  		$SQL="select sum(t1.AMMOUNT*t1.PRICE) from BILLS_FVAT_POS as t1 inner join SES_TV_A as t2 on t1.ID_SERVICES=t2.ID_SERVICES where t2.ID and t1.DATE_FROM  LIKE '".$DATA."'";
		echo $SQL." <br>";
		$res=mysql_fetch_row(mysql_query($SQL));
		$VAL=$res[0];
		settype($VAL,"float");
		$BUDZET['SPRZEDAZ']['SES_TV_A']=$VAL;  


		//ZAD2.USTALIC PRACOWNIKOW I POOBCIAZAC BUDZETY PODSTAWAMI
		$BUDZET['PRACOWNICY_NAME'][0]="Michał Chomczyński";
			$BUDZET['PRACOWNICY_PODSTAWA'][0]=3000;
			$BUDZET['PRACOWNICY_BUDZET'][0]['TECH-SERWIS']="50";
			$BUDZET['PRACOWNICY_BUDZET'][0]['INWESTYCJE']="50";
		$BUDZET['PRACOWNICY_NAME'][1]="Arkadiusz Binder";
			$BUDZET['PRACOWNICY_PODSTAWA'][1]=2600;
			$BUDZET['PRACOWNICY_BUDZET'][1]['INNY']="100";
		$BUDZET['PRACOWNICY_NAME'][2]="Marta Dubiel";
			$BUDZET['PRACOWNICY_PODSTAWA'][2]=2000;
			$BUDZET['PRACOWNICY_BUDZET'][2]['BIURO-CHELM']="100";
		$BUDZET['PRACOWNICY_NAME'][3]="Pani Ukleja";
			$BUDZET['PRACOWNICY_PODSTAWA'][3]=2000;
			$BUDZET['PRACOWNICY_BUDZET'][3]['BIURO-CHELM']="100";
		$BUDZET['PRACOWNICY_NAME'][4]="Pani Nie Ukleja";
			$BUDZET['PRACOWNICY_PODSTAWA'][4]=2000;
			$BUDZET['PRACOWNICY_BUDZET'][4]['BIURO-CHELM']="100";
		$BUDZET['PRACOWNICY_NAME'][5]="Jakub Bielański";
			$BUDZET['PRACOWNICY_PODSTAWA'][5]=2000;
			$BUDZET['PRACOWNICY_BUDZET'][5]['MARKETING-STALY']="100";
		$BUDZET['PRACOWNICY_NAME'][6]="Dominik Moksik";
			$BUDZET['PRACOWNICY_PODSTAWA'][6]=2000;
			$BUDZET['PRACOWNICY_BUDZET'][6]['MARKETING-STALY']="100";
		$BUDZET['PRACOWNICY_NAME'][7]="Mariusz Muszyński";
			$BUDZET['PRACOWNICY_PODSTAWA'][7]=2000;
			$BUDZET['PRACOWNICY_BUDZET'][7]['TECH-SERWIS']="100";
		$BUDZET['PRACOWNICY_NAME'][8]="Marcin Sokoliński";
			$BUDZET['PRACOWNICY_PODSTAWA'][8]=2000;
			$BUDZET['PRACOWNICY_BUDZET'][8]['TECH-SERWIS']="100";
		$BUDZET['PRACOWNICY_NAME'][9]="Tomasz Sadurski";
			$BUDZET['PRACOWNICY_PODSTAWA'][9]=2000;
			$BUDZET['PRACOWNICY_BUDZET'][9]['TECH-SERWIS']="100";


		foreach($BUDZET['PRACOWNICY_NAME'] as $PN=>$PBV) {
			foreach($BUDZET['PRACOWNICY_BUDZET'][$PN] as $PB=>$PBV){
				$BUDZET['BUDZET_WYNAGRODZENIA'][$PB]+=$BUDZET['PRACOWNICY_PODSTAWA'][$PN]*$BUDZET['PRACOWNICY_BUDZET'][$PN][$PB]/100;
			}
		}
		
		foreach($BUDZET['KOSZTY'] as $BK=>$BKV){
			if($BK=='INWESTYCJE') $BUDZET['KOSZTYALL']+=$BKV/100; else
			if($BK!='WYNAGRODZENIA')$BUDZET['KOSZTYALL']+=$BKV;
		}
		//Dyrektywa proporcji budżetu

		$BUDZET['DYSPOZYCJE_BUDZETU']['TECH-SERWIS']=0.25;
		$BUDZET['DYSPOZYCJE_BUDZETU']['INWESTYCJE']=0.09;
		$BUDZET['DYSPOZYCJE_BUDZETU']['BIURO-CHELM']=0.25;
		$BUDZET['DYSPOZYCJE_BUDZETU']['MARKETING-STALY']=0.15;
		$BUDZET['DYSPOZYCJE_BUDZETU']['INNY']=0.20;
//		$BUDZET['DYSPOZYCJE_BUDZETU']['PREMIE']=0.20;
		foreach($BUDZET['DYSPOZYCJE_BUDZETU'] as $DB=>$DBA) {
		$BUDZET['DYSPOZYCJE_BUDZETU_ALL']+=$DBA;
		}

		$BUDZET['DYSPOZYCJA_BUDZETU']['WYNIK_FINANSOWY_ZULU']=($BUDZET['SPRZEDAZ']['USERS2']+$BUDZET['SPRZEDAZ']['SES_TV_A']-$BUDZET['KOSZTYALL']);
		foreach($BUDZET['BUDZET_WYNAGRODZENIA'] as $BW=>$BWA) {
			//bylo do 2010-05-14
			//if($BUDZET['DYSPOZYCJE_BUDZETU'][$BW])$BUDZET['DYSPOZYCJA_BUDZETU'][$BW]=($BUDZET['SPRZEDAZ']['USERS2']+$BUDZET['SPRZEDAZ']['SES_TV_A']-$BUDZET['KOSZTYALL'])*$BUDZET['DYSPOZYCJE_BUDZETU'][$BW]-$BUDZET['KOSZTY'][$BW]*0;
			if($BUDZET['DYSPOZYCJE_BUDZETU'][$BW])$BUDZET['DYSPOZYCJA_BUDZETU'][$BW]=($BUDZET['DYSPOZYCJA_BUDZETU']['WYNIK_FINANSOWY_ZULU'])*$BUDZET['DYSPOZYCJE_BUDZETU'][$BW]-$BUDZET['KOSZTY'][$BW]*0;
		}

/*
	$BUDZET['KOSZTY']['MARKETING-STALY']=
	$BUDZET['KOSZTY']['MARKETING-DZIALANIA']=
	$BUDZET['KOSZTY']['OGOLNY']=
	$BUDZET['KOSZTY']['INWESTYCJE']=
	$BUDZET['KOSZTY']['PODATKI']=
	$BUDZET['KOSZTY']['TECH-SERWIS']=
	$BUDZET['KOSZTY']['TECH-MODERNIZACJE']=
	$BUDZET['KOSZTY']['BIURO-MORENA']=
	$BUDZET['KOSZTY']['BIURO-CHELM']=
	$BUDZET['KOSZTY']['INNY']=
	$BUDZET['KOSZTY']['ZAKUP-LACZY']=
	$BUDZET['KOSZTY']['WYNAGRODZENIA']=
	$BUDZET['KOSZTY']['KREDYTY']=

	$BUDZET['SPRZEDAZ']['ALL']= //wprowdzac do SE jako obciazenie konta 201-01
	$BUDZET['SPRZEDAZ']['TANIELACZE']=
	$BUDZET['SPRZEDAZ']['NOWA_SPRZEDAZ']=
*/




	//naliczenie ile zostaje z budżetu na premie BAZOWĄ wcześniej będzie trzeba wyliczać AKORDY i zwiększać koszty
	foreach($BUDZET['BUDZET_WYNAGRODZENIA'] as $BW=>$BWA ) {
	$BUDZET['NA_PREMIE_BEZ_AKORDU'][$BW]=$BUDZET['DYSPOZYCJA_BUDZETU'][$BW]-$BUDZET['BUDZET_WYNAGRODZENIA'][$BW];
	}
	
	//3.5.1.1 AKORD ILO&CI INSTALACJI W TERMINIE/NIE_W_TERMINIE (TECH)
	require("budynki-ROZLICZENIE_BUDZETU_2010_AKORD_TECHNIKA.php"); //to produkuje          unset($BUDZET['AKORD']['TECH-SERWIS']['INSTALACJE']); itp

	//3.5.3 AKORD ILOSCI PODPISANYCH UMÓW (HANDL)
	require("budynki-ROZLICZENIE_BUDZETU_2010_UMOWY_HANDL.php"); //to produkuje          unset($BUDZET['AKORD']['HANDL-UMOWY']['NOWE']); itp



//	echo "<pre>";
//	print_r($_SESSION);

	print_r($BUDZET);

	echo "</pre>";




} //eof IF if(($_GET['PASSWD'])&&($_GET['DATA'])) {

